--
-- $Id$
--
-- <<Gebouwverantwoordelijken aanpassen>>

DEFINE thisfile = 'RABO#54852.SQL'
DEFINE dbuser   = '^RABO'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- Dienstniveau's en koppeling naar de gebouwen en locaties moet verwijderd worden zodat men alle meldingen voor alle gebouwen kan doen (in opdracht Ruud de Poel)
UPDATE alg_gebouw
  SET mld_dienstniveau_key = NULL
WHERE alg_gebouw_verwijder IS NULL AND mld_dienstniveau_key IS NOT NULL;

UPDATE alg_locatie
  SET mld_dienstniveau_key = NULL
WHERE alg_locatie_verwijder IS NULL AND mld_dienstniveau_key IS NOT NULL;



------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
